Bug 647946 - After UEFI install, system-config-boot cannot find grub.conf
After UEFI install, system-config-boot cannot find grub.conf
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-boot (Show other bugs)
16
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
: Reopened
Depends On: 739483
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-29 18:38 EDT by Finnbarr P. Murphy
Modified: 2013-02-13 21:40 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 21:40:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Finnbarr P. Murphy 2010-10-29 18:38:14 EDT
Description of problem:
After an UEFI install of Fedora 14, system-config-oot reports "Error reading /boot/grub/grub.conf

Version-Release number of selected component (if applicable):
14

How reproducible:
Readily

Steps to Reproduce:
1. UEFI install Fedora 14
2. Select System/Administration/Bootloader
3.  
  
Actual results:
Cannot find grub.conf

Expected results:
system-config-boot should edit /boot/efi/EFI/redhat/grub.conf.

Additional info:
No /boot/grub/grub.conf exists after UEFI-install
Comment 1 Matthew Garrett 2011-09-16 13:31:20 EDT
Still a problem in F16. In fact arguably even more of a problem in F16, because the only systems with grub will be EFI. system-config-boot doesn't appear to handle grub2.
Comment 2 Harald Hoyer 2011-09-19 04:45:51 EDT

*** This bug has been marked as a duplicate of bug 734709 ***
Comment 3 Matthew Garrett 2011-09-19 07:41:12 EDT
Not a duplicate. 734709 is "system-config-boot needs to support grub2", this is "system-config-boot doesn't support grub on UEFI installs".
Comment 4 Harald Hoyer 2011-09-19 09:42:15 EDT
well, if s-c-boot would use a "libgrubby" (bug 739483), then this feature would be automatically gained...
Comment 5 Matthew Garrett 2011-09-19 09:52:41 EDT
Right, but the current issue is that in some situations it opens /etc/grub.conf (which would work) and in other situations it opens /boot/grub/grub.conf (which won't). It seems possible to fix this without a complete rearchitecture.
Comment 6 Mads Kiilerich 2011-10-01 13:29:45 EDT
It was my understanding that /etc/grub.conf should point to the right configuration file. Is there more to it than that, or why is a major change needed?
Comment 7 Fedora End Of Life 2013-02-13 21:40:40 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.